Bug 448185 - F9 mock missing fedora-10-i386.cfg
F9 mock missing fedora-10-i386.cfg
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-24 03:27 EDT by Hans Ulrich Niedermann
Modified: 2014-01-21 18:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-29 06:49:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-05-24 03:27:11 EDT
Description of problem:

  In a CVS checkout, go to SOME_PACKAGE/devel. Type "make mockbuild".
  mock will look for non-existing fedora-10-i386.cfg and fail.

Version-Release number of selected component (if applicable):


How reproducible:

  Every time.

Steps to Reproduce:
1. Install F9
2. check out CVS for some package
3. cd ${package}/devel
4. make mockbuild
Actual results:

  ERROR: Could not find required config file: /etc/mock/fedora-10-i386.cfg

Expected results:

  A successful mock build.

Additional info:
Comment 1 Seth Vidal 2008-05-27 11:15:23 EDT
I'm reasonably sure this is a mock issue, not a yum issue.

Comment 2 Hans Ulrich Niedermann 2008-06-01 08:51:36 EDT
A proper symlink may also do the job, or some adaptations to the CVS common/ magic.
Comment 3 Hans Ulrich Niedermann 2008-11-29 06:49:15 EST
Fixed in since mock-0.9.13-1.fc9.noarch, probably in connection with F10 general availability.

Non-working "make mockbuild" for rawhide/F11 is addressed in bug 473479.

Note You need to log in before you can comment on or make changes to this bug.